.composition{
    position: relative;


    &__photo{
        width: 55%;
        box-shadow: 0 1.5rem 4rem rgba($color-black, .4);
        // border-radius: 2px;
        z-index: 1;
        outline-offset: 2rem; // space between outline border and the img

        position: absolute;

        transition: all .2s;

        @include respond(tab-port){
            float: left;
            position: relative;
            width: 33.333333%;
            box-shadow: 0 1.5rem 3rem rgba($color-black, .2);
        }

        &--p1{
            left: 0;
            top: -2rem;
            right: 10%;

            @include respond(tab-port){
                top: 0;
                left: 5%;
                transform: scale(1.1);
            }
        }

        &--p2{
            right: 0;
            top: 2rem;

            @include respond(tab-port){
                top: -2rem;
                
                transform: scale(1.3);
                z-index: 2;
            }
        }

        &--p3{
            left: 20%;
            top: 10rem;
            @include respond(tab-port){
                top: 1rem;
                left: -5%;
                transform: scale(1.1);
            }
        }

        &:hover{
            transform: scale(1.05) translate(-.5rem);
            box-shadow: 0 2.5rem 4rem rgba($color-black, .5);
            z-index: 2;
            outline: 1.5rem solid $color-primary; // Outline Border
            

            @include respond(tab-port){
                transform: scale(1.1) translate(-.4rem);
                z-index: 20;
                outline: 1.5rem solid $color-primary;
            }
        }
    }

    // Scaling down for the not hovered img
    &:hover &__photo:not(:hover){
        transform: scale(.95);
    }
}